// Demo plugin code : get all the notes from a single point in time on multiple staves


import QtQuick 2.0
import MuseScore 1.0

MuseScore {
      version:  "1.0"
      description: "Demo - find all notes at one point in time (Segment)"

      function findAllNotes() {
          var segment = curScore.firstSegment();
          var segCount = 1;
          while (segment) {
              for (var i = 0; i < curScore.ntracks; i++) {
                  var element = segment.elementAt(i);
                  if (element && element.type == Element.CHORD) {
                      for (var j = 0; j < element.notes.length; j++) {
                          var note = element.notes[j];
                          if (note) console.log("note segment: " + segCount +
                                              " track: " + i + " duration: "
                                                          + element.duration);
                      }

                  }
              }
              segCount++;
              segment = segment.next;
          }
      }

      onRun: {
            console.log("hello findAllNotes");
            if (typeof curScore === 'undefined')
                  Qt.quit();
            findAllNotes();
            Qt.quit();
      }
}
